const _smc = '.modal-background, .modal-close, .modal-card-head .delete, .modal-card-foot .button-close';

document.addEventListener('DOMContentLoaded', () => {
  // Interact with dropdowns
  const ds = _$('.dropdown:not(.is-hoverable)');

  ds.forEach(d => {
    d.addEventListener('click', event => {
      event.stopPropagation();
      d.classList.toggle('is-active');
    });
  });

  document.addEventListener('click', () => {
    ds.forEach(d => {
      d.classList.remove('is-active');
    });
  });

  // Interact with modals
  const ms = _$('.modal');
  const mcs = _$(_smc);

  _$('.modal-button').forEach(openModal);
  _$('.modal-button[data-json],.modal-button[data-json_url]').forEach(initForm);

  mcs.forEach(closeModal);

  document.addEventListener('keydown', ev => {
    const e = ev || window.event;
    if (e.keyCode === 27) {
      ds.forEach(d => {
        d.classList.remove('is-active');
      });

      document.documentElement.classList.remove('is-clipped');

      ms.forEach(m => {
        m.classList.remove('is-active');
      });
    }
  });

  // Language selection
  _$('.dropdown-item.lang-selector').forEach(l => {
    l.addEventListener('click', () => {
      _id('lang-input').value = l.dataset.lang;
      _id('lang-form').submit();
    });
  });

});
